package net.sf.freecol.text;

public class ArtilleryBuildable extends Buildable {
	
	public static int nrOfArtillery = 0;

	public ArtilleryBuildable() {
		hammerCost = 192;
		toolCost = 40;
	}
	
	public boolean isComplete() {
		boolean armoryExists = (this.col.getBuildingByName("ARMORY") == null)? false : true;
		boolean enoughHammers = this.col.storage.get(Goods.Types.HAMMERS) >= hammerCost;
		boolean enoughTools = this.col.storage.get(Goods.Types.TOOLS) >= toolCost;
		return (armoryExists && enoughHammers && enoughTools);
	}
	
	public void buildItem() {
		if(this.isComplete()) {
			//System.out.println("Building an artillery");
			int hammerStorage = this.col.storage.get(Goods.Types.HAMMERS);
			this.col.storage.put(Goods.Types.HAMMERS, hammerStorage - hammerCost);
			int toolStorage = this.col.storage.get(Goods.Types.TOOLS);
			this.col.storage.put(Goods.Types.TOOLS, toolStorage - toolCost);
			++ArtilleryBuildable.nrOfArtillery;
			Unit u = new Artillery("Artillery"+nrOfArtillery, col);
		}
		else {
			System.out.println("Cannot build item, not enough resources");
		}
	}
}
