package net.sf.freecol.text;

public class FortBuildable extends Buildable {
	
	public FortBuildable() {
		hammerCost = 120;
		toolCost = 100;
	}
	
	public boolean isComplete() {
		boolean enoughHammers = this.col.storage.get(Goods.Types.HAMMERS) >= hammerCost;
		boolean enoughTools = this.col.storage.get(Goods.Types.TOOLS) >= toolCost;
		boolean stockadeExists = (this.col.defenseModif == 1.5)? true : false;
		return (enoughHammers && enoughTools && stockadeExists);
	}
	
	public void buildItem() {
		if(this.isComplete()) {
			int hammerStorage = this.col.storage.get(Goods.Types.HAMMERS);
			this.col.storage.put(Goods.Types.HAMMERS, hammerStorage - hammerCost);
			int toolStorage = this.col.storage.get(Goods.Types.TOOLS);
			this.col.storage.put(Goods.Types.TOOLS, toolStorage - toolCost);
			this.col.defenseModif = 2.0;
		}
		else {
			System.out.println("Cannot build item, not enough resources");
		}
	}
}
