package net.sf.freecol.text;

import java.util.ArrayList;
import java.util.List;


public class Location {
	
	protected String name;
	
	protected boolean buildingFlag;
	
	protected boolean tileFlag;
	
	protected boolean factoryFlag;
	
	protected int maxCapacity;
	
	protected int occupancy;
	
	protected Colony col;
	
	protected List<Unit> unitList;
	
	public double upgradeMod;
	
	public Location() {
		maxCapacity = 0;
		occupancy = 0;
		this.unitList = new ArrayList<Unit>();
		this.buildingFlag = false;
		this.tileFlag = false;
		this.factoryFlag = false;
		this.upgradeMod = 1.0;
	}
	
	public Colony getColony() {
		return this.col;
	}
	
	public void setColony(Colony c) {
		this.col = c;
	}
	
	public boolean isBuilding() {
		return this.buildingFlag;
	}
	
	public boolean isTile() {
		return this.tileFlag;
	}
	
	public boolean isFactory() {
		return this.factoryFlag;
	}
	
	public Goods.Types getFuel() {
		return Goods.Types.NONE;
	}
	
	public Goods.Types produces() {
		return Goods.Types.FOOD;
	}
	
	public int Consume() {
		return 0;
	}
	
	public int goodsOutput(Goods.Types t) {
		return 0;
	}
	
	public boolean isFree() {
		return occupancy < maxCapacity;
	}
	
	public void setName(String s) {
		this.name = s;
	}
	
	public String getName() {
		return this.name;
	}
	
	public boolean addUnit(Unit u) {
		if(this.isFree()) {
			this.unitList.add(u);
			++this.occupancy; 
			return true;
		}
		else {
			System.out.println("This location is occupied");
			return false;
		}
	}
	
	public void clearAllUnits() {
		this.unitList.clear();
		this.occupancy = 0;
	}
	
	public void clearUnit(Unit u) {
		if(this.unitList.contains(u)) {
			this.unitList.remove(u);
			--this.occupancy;
		}
		else {
			System.out.println("This unit is not located here");
		}
	}
	
	public int getMaxCapacity() {
		return this.maxCapacity;
	}

}
