package net.sf.freecol.text;

public class NewsPaperBuildable extends Buildable {
	
	public NewsPaperBuildable() {
		hammerCost = 120;
		toolCost = 50;
	}
	
	public boolean isComplete() {
		boolean printingPressExists = (this.col.getBuildingByName("TOWNHALL").upgradeMod == 1.5)? true : false;
		boolean enoughHammers = this.col.storage.get(Goods.Types.HAMMERS) >= hammerCost;
		boolean enoughTools = this.col.storage.get(Goods.Types.TOOLS) >= toolCost;
		boolean enoughSize = this.col.getSize() >= 4;
		return (printingPressExists && enoughSize && enoughHammers && enoughTools);
	}
	
	public void buildItem() {
		if(this.isComplete()) {
			int hammerStorage = this.col.storage.get(Goods.Types.HAMMERS);
			this.col.storage.put(Goods.Types.HAMMERS, hammerStorage - hammerCost);
			int toolStorage = this.col.storage.get(Goods.Types.TOOLS);
			this.col.storage.put(Goods.Types.TOOLS, toolStorage - toolCost);
			Location l = this.col.getBuildingByName("TOWNHALL");
			l.upgradeMod = 2.0;
		}
		else {
			System.out.println("Cannot build item, not enough resources");
		}
	}
}
