package net.sf.freecol.text;

public class PrintingPressBuildable extends Buildable {
	
	public PrintingPressBuildable() {
		hammerCost = 52;
		toolCost = 20;
	}
	
	public boolean isComplete() {
		boolean enoughHammers = this.col.storage.get(Goods.Types.HAMMERS) >= hammerCost;
		boolean enoughTools = this.col.storage.get(Goods.Types.TOOLS) >= toolCost;
		return (enoughHammers && enoughTools);
	}
	
	public void buildItem() {
		if(this.isComplete()) {
			int hammerStorage = this.col.storage.get(Goods.Types.HAMMERS);
			this.col.storage.put(Goods.Types.HAMMERS, hammerStorage - hammerCost);
			int toolStorage = this.col.storage.get(Goods.Types.TOOLS);
			this.col.storage.put(Goods.Types.TOOLS, toolStorage - toolCost);
			Location l = this.col.getBuildingByName("TOWNHALL");
			l.upgradeMod = 1.5;
		}
		else {
			System.out.println("Cannot build item, not enough resources");
		}
	}

}
